> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create contact

> Create contact



## OpenAPI

````yaml post /contacts
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /contacts:
    post:
      tags:
        - Contacts
      summary: Create contact
      description: Create contact
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: Contact email
                first_name:
                  type: string
                  description: Contact first name
                last_name:
                  type: string
                  description: Contact last name
                title:
                  type: string
                  description: Contact job title
                city:
                  type: string
                  description: Contact city
                state:
                  type: string
                  description: Contact state or region
                country:
                  type: string
                  description: Contact country
                industry:
                  type: string
                  description: Contact industry
                linkedin_url:
                  type: string
                  format: uri
                  description: Contact LinkedIn profile URL
                owner_email:
                  type: string
                  description: Email of the Amplemarket user that should own the contact
                account_id:
                  type: string
                  format: uuid
                  description: Prospect Hub account public ID to associate to the contact
                crm_account_id:
                  type: string
                  description: >-
                    CRM account identifier used to resolve the Prospect Hub
                    account association
                company_domain:
                  type: string
                  description: >-
                    Company domain used to resolve the Prospect Hub account
                    association
                company_name:
                  type: string
                  description: >-
                    Company name used as a fallback to resolve the Prospect Hub
                    account association
                phone_numbers:
                  type: array
                  description: >-
                    Phone numbers to attach to the contact as user-uploaded
                    numbers
                  items:
                    type: object
                    properties:
                      number:
                        type: string
                        description: Phone number in raw or international format
                      kind:
                        type: string
                        enum:
                          - mobile
                          - office
                          - phone
                          - landline
                          - voip
                          - direct
                          - fax
                        description: Phone number kind
                      type:
                        type: string
                        enum:
                          - mobile
                          - office
                          - phone
                          - landline
                          - voip
                          - direct
                          - fax
                        description: Alias for kind
              required:
                - email
      responses:
        '201':
          description: Created
          content:
            application/json:
              examples:
                Created:
                  value:
                    id: 019f3cf5-cfa1-7041-aa3c-19ffe9ae6664
                    name: Jane Doe
                    first_name: Jane
                    last_name: Doe
                    linkedin_url: null
                    email: new-contact@example.com
                    time_zone: null
                    location: null
                    title: CEO
                    company_domain: amplemarket.com
                    company_name: Amplemarket
                    owner: null
                    last_contacted_at: null
                    phone_numbers: []
                    recent_activity: []
              schema:
                $ref: '#/components/schemas/response_contact_with_activity_object'
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Missing email:
                  value:
                    object: error
                    _errors:
                      - code: missing_field
                        title: Missing Field
                        detail: 'Missing field from request: email'
                        source:
                          pointer: /email
                Invalid phone number:
                  value:
                    object: error
                    _errors:
                      - code: invalid_parameter
                        title: Invalid Parameter
                        detail: >-
                          Invalid phone number: phone_numbers[0].number is not a
                          recognizable phone number
                        source:
                          pointer: /phone_numbers/0/number
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '409':
          description: Conflict
          content:
            application/json:
              examples:
                Duplicate contact:
                  value:
                    object: error
                    _errors:
                      - code: conflict
                        title: Conflict
                        detail: >-
                          A contact with this email already exists in this
                          account.
                        source:
                          pointer: /email
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '422':
          description: Unprocessable content
          content:
            application/json:
              examples:
                CRM push failed:
                  value:
                    object: error
                    _errors:
                      - code: crm_push_failed
                        title: Crm Push Failed
                        detail: 'CRM returned error: bad crm config'
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_contact_with_activity_object:
      allOf:
        - $ref: '#/components/schemas/response_contact_object'
        - type: object
          additionalProperties: true
          properties:
            recent_activity:
              type: array
              items:
                $ref: '#/components/schemas/response_contact_activity_object'
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_contact_object:
      type: object
      required:
        - id
        - email
      additionalProperties: true
      properties:
        id:
          type: string
          format: uuid
        name:
          nullable: true
          type: string
        first_name:
          nullable: true
          type: string
        last_name:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        linkedin_url:
          nullable: true
          type: string
          format: uri
        title:
          nullable: true
          type: string
        location:
          nullable: true
          type: string
        time_zone:
          nullable: true
          type: string
        company_name:
          nullable: true
          type: string
        company_domain:
          nullable: true
          type: string
        owner:
          nullable: true
          type: string
        last_contacted_at:
          type: string
          format: date_time
          nullable: true
        phone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/response_phone_number_object'
    response_contact_activity_object:
      type: object
      required:
        - event_at
        - event_type
      additionalProperties: false
      properties:
        event_at:
          type: string
          format: date_time
        event_type:
          type: string
        automatic:
          nullable: true
          type: boolean
        type:
          nullable: true
          type: string
        description:
          nullable: true
          type: string
        subject:
          nullable: true
          type: string
        body:
          nullable: true
          type: string
        sequence_id:
          nullable: true
          type: string
        sequence_name:
          nullable: true
          type: string
        sequence_type:
          nullable: true
          type: string
        index:
          nullable: true
          type: integer
        tags:
          nullable: true
          type: array
          items:
            type: string
        notes:
          nullable: true
          type: string
        call_disposition:
          nullable: true
          type: string
        call_notes:
          nullable: true
          type: string
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_phone_number_object:
      type: object
      required:
        - object
        - id
        - number
        - type
        - is_wrong_number
      additionalProperties: true
      properties:
        object:
          type: string
          enum:
            - phone_number
        id:
          type: string
          format: uuid
        number:
          type: string
        type:
          type: string
          enum:
            - mobile
            - office
            - phone
            - landline
            - voip
            - direct
        source:
          type: string
          enum:
            - amplemarket
            - crm
            - user_uploaded
        is_wrong_number:
          type: boolean
        is_dnc_listed:
          type: boolean
          description: Present only when the account has phone number DNC list enabled
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````